## ztex-bmp 20110912

=== Makefile ===
# Copyright (C) 1999-2011 Stefan Ziegenbalg
#
# main targets:
#   all             build bmp
#   install         install applications
#   install2        install applications to ../bin
#   uninstall       uninstall applications
#   resetconf       reset configuration
#   clean           clean everything but exe's
#   distclean       clean everything

#########################
# configuration section #
#########################
#OS  operating system (UNIX for unix like OS)
#default: detected automatically
#e.g. OS=UNIX

#PCEXTRAFLAGS  additional flags
#e.g. PCEXTRAFLAGS=-Xs
PCEXTRAFLAGS=-gl

#PREFIX  base directory for installing 
#default: /usr/local for OS=UNIX and c:\usr else
#e.g. PREFIX=/usr

#BINDIR  where to install bin's
#default: $(PREFIX)/bin
#e.g. BINDIR=/usr/bin

#MANDIR  where to install mans's
#default: $(PREFIX)/share/man/man1

################################
# DO NOT CHANAGE THE FOLLOWING #
################################
ifndef OS
ifeq ($(WINDIR),)
OS=UNIX
else
OS=WINDOS
endif
endif

SOURCES=src/bmp.pas src/bmpsys.pas src/textbuf.pas 

DESTDIR=/

UNITS=-Fusrc

PCFLAGS:=-Scgm -O3rGp3 -FE. -Xs $(PCEXTRAFLAGS)
INSTALLDIR=$(INSTALL) -d 
INSTALLEXE=$(INSTALL) -m 0755
INSTALLFILE=$(INSTALL) -m 0644
RM=rm -f
ECHO=echo

ifeq ($(OS),UNIX)

CONFIGURESCRIPT=./configure
PC:=$(shell $(CONFIGURESCRIPT) pc "$(PCFLAGS)")
ifndef PC
    $(error Fatal: No correct compiler found or wrong flags)
endif    
INSTALL=$(shell $(CONFIGURESCRIPT) install2)

ifndef PREFIX
  PREFIX=/usr/local
endif

TARGETS=bmp
DEFS=-DUNIX

else

PC=ppc386
INSTALL=install

ifndef PREFIX
  PREFIX=c:\usr
endif

TARGETS=bmp.exe
DEFS=-DWINDOWS

endif

ifndef BINDIR
  BINDIR=$(DESTDIR)/$(PREFIX)/bin
endif

ifndef MANDIR
  MANDIR=$(PREFIX)/share/man/man1
endif

.PHONY: all install uninstall resetconf clean distclean

all: bmp.made

bmp.made: $(TARGETS)
	$(ECHO) > bmp.made

bmp bmp.exe: $(SOURCES)
	$(PC) $(PCFLAGS) $(UNITS) src/bmp.pas

install: $(TARGETS)
	$(INSTALLDIR) $(BINDIR)
	$(INSTALLEXE) $(TARGETS) $(BINDIR)
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLFILE) bmp.1 $(MANDIR)

install2: $(TARGETS)
	$(INSTALLEXE) $(TARGETS) ../bin

uninstall:
	- $(RM) $(addprefix $(BINDIR)/,$(TARGETS))

resetconf: 
	- $(RM) Makefile.conf
	- $(RM) conf_*
  
clean:
	- $(RM) *.bak *.o *.ppu *.s */*.bak *.log *.a *~ */*~ *.out
	- $(RM) ppas.sh link.res
	
	
distclean: clean resetconf
	- $(RM) bmp bmp.exe bmp.made bmp.pas

=== debian/changelog ===
ztex-bmp (20110912-1) unstable; urgency=low

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 21:54:36 +0200

ztex-bmp (20110903+01-2) UNRELEASED; urgency=low

  * Improved description.

 -- Steffen Moeller <moeller@debian.org>  Sun, 11 Sep 2011 12:35:19 +0200

ztex-bmp (20110903+01-1) experimental; urgency=low

  * Added disambiguation from the LaTeX babel functionality with
    an extra comment in the description.
  * Fixed FTBFS with configuration (Closes: #640330).

 -- Steffen Moeller <moeller@debian.org>  Mon, 05 Sep 2011 21:39:14 +0200

ztex-bmp (20110903-1) experimental; urgency=low

  * Initial release (Closes: #640204).

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Sep 2011 02:05:35 +0200

=== debian/control ===
Source: ztex-bmp
Section: science
Priority: extra
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, fp-compiler
Standards-Version: 3.9.2
Homepage: http://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-bmp/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/bmp/trunk/

Package: ztex-bmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal macro processor
 bmp (for babel universal macro processor) is a powerful general purpose
 macro processor that can be used in combination with many languages,
 e.g. Pascal or C. Projects comprising many different languages,
 can this way share a single mechanism to adjust parameters across
 all their code base. Developers with C background will be reminded
 of the functionality of cpp or m4, and those fluent in UNIX will also
 see similarities to sed.
 .
 bmp was developed as a part of the ZTEX EZ-USB SDK and is used to
 assemble the firmware for EZ-USB micro controllers. It is not associated
 in any way with D. Knuth's typesetting system.  When run as a standalone
 application, it is as versatile as to serve as a parser or to perform
 some non-trivial text replacements.

## ztex-bmp 20120314

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,6 @@
 
 SOURCES=src/bmp.pas src/bmpsys.pas src/textbuf.pas 
 
-DESTDIR=/
-
 UNITS=-Fusrc
 
 PCFLAGS:=-Scgm -O3rGp3 -FE. -Xs $(PCEXTRAFLAGS)
@@ -86,11 +84,11 @@
 endif
 
 ifndef BINDIR
-  BINDIR=$(DESTDIR)/$(PREFIX)/bin
+  BINDIR=$(DESTDIR)$(PREFIX)/bin
 endif
 
 ifndef MANDIR
-  MANDIR=$(PREFIX)/share/man/man1
+  MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 endif
 
 .PHONY: all install uninstall resetconf clean distclean

=== debian/changelog ===
ztex-bmp (20120314-3) unstable; urgency=medium

  * Team upload.
  * Pkg-escience was moved to Debian Science long ago
  * Set Vcs fields to Salsa
  * d/rules is no sample
  * Secure URI in Homepage
  * Fix links in d/copyright
  * d/watch:
     - version=4
     - Secure URI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Update lintian override info format in d/ztex-bmp.lintian-overrides
  * Fix dh_auto_clean

 -- Andreas Tille <tille@debian.org>  Sun, 23 Nov 2025 17:14:13 +0100

ztex-bmp (20120314-2) unstable; urgency=low

  * Fixing debian/changelog's erroneous omission of a previous upload.
    This might possibly help closing #685227.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 20:36:23 +0200

ztex-bmp (20120314-1) unstable; urgency=low

  * Upstream fixes FTBFS upon pascal compiler update (Closes: #663674)

 -- Steffen Moeller <moeller@debian.org>  Tue, 31 Jul 2012 22:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: ztex-bmp
+Standards-Version: 4.7.2
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
 Section: science
-Priority: extra
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, fp-compiler
-Standards-Version: 3.9.2
-Homepage: http://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-bmp/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/bmp/trunk/
+Priority: optional
+Build-Depends:
+ debhelper-compat (= 13),
+ fp-compiler,
+Vcs-Browser: https://salsa.debian.org/science-team/ztex-bmp
+Vcs-Git: https://salsa.debian.org/science-team/ztex-bmp.git
+Homepage: https://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
 
 Package: ztex-bmp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: universal macro processor
  bmp (for babel universal macro processor) is a powerful general purpose
  macro processor that can be used in combination with many languages,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || true # in case freepascal compiler is not installed locally
	rm -f conf_pc.pas

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/ztex-bmp PREFIX=/usr install
	dh_install

override_dh_auto_configure:
	rm -f Makefile.conf
	./configure pc

=== debian/watch ===
version=4
https://www.ztex.de/downloads/bmp-([0-9]+).tar.bz2
